
<!-- TOC -->

- [说明](#说明)
  - [执照](#执照)
  - [插件作用](#插件作用)
  - [行为准则](#行为准则)
  - [关于C919](#关于c919)
  - [使用示例](#使用示例)

<!-- /TOC -->

# 说明

## 执照

根据以下条款,该Gem可作为开源软件使用 [MIT License](https://opensource.org/licenses/MIT).

## 插件作用

该Gem主要起到反向代理作用,通过该Gem可实现C919系列插件的调用.

该Gem本身并不实现任何具体功能,只是将请求转发给具体的服务接口.<br>
因此,具体可用功能以及参数格式以各组件示例页面为准.

## 行为准则

0. 集成该Gem后可实现各组件任意调用.
0. 各组件的端口,地址等配置工作应由本Gem负责维护,宿主无需进行任何额外配置即可使用.
0. 各组件的具体配置信息可以通过Satcom实时获取最新配置内容.
0. 后期应允许符合某种安全机制的节点自主加入并注册允许发现.

## 关于C919

C919为系列Gem组件的集合,具体组成部分及相关示例[参考](https://gitlab.com/ff4c00/space/-/tree/master/%E7%9F%A5%E8%AF%86%E4%BD%93%E7%B3%BB/%E5%BA%94%E7%94%A8%E7%A7%91%E5%AD%A6/%E8%AE%A1%E7%AE%97%E6%9C%BA%E7%A7%91%E5%AD%A6/%E8%BD%AF%E4%BB%B6%E5%B7%A5%E7%A8%8B/Rails/C919)

## 使用示例

```ruby
Wireway::Spark.satcom(api_code: :finance_fund_base_info, code: '161725')
# => [true, {:基金全称=>"招商中证白酒指数分级证券投资基金", :基金简称=>"招商中证白酒指数分级", :基金代码=>"161725（前端）", :基金类型=>"股票指数", :发行日期=>"2015年05月12日", :"成立日期/规模"=>"2015年05月27日 / 3.965亿份", :资产规模=>"129.25亿元（截止至：2020年06月30日）", :份额规模=>"184.0866亿份（截止至：2020年08月26日）", :基金经理人=>"侯昊", :基金托管人=>"中国银行", :成立来分红=>"每份累计0.00元（0次）", :管理费率=>"1.00%（每年）", :托管费率=>"0.22%（每年）", :销售服务费率=>"---（每年）", :最高认购费率=>"0.80%（前端）", :业绩比较基准=>"中证白酒指数收益率×95%+金融机构人民币活期存款基准利率(税后)×5%", :跟踪标的=>"中证白酒指数", :母子基金=>"161725（母）150269 150270（子）", :是否配对转换=>"是", :是否转LOF=>"否", :封闭期=>"无", :提前结束条款=>"无", :定期折算日=>"每个会计年度的12月15日(遇节假日顺延)", :不定期折算条件=>"当招商中证白酒份额的基金份额净值达到1.500元;当招商中证白酒B份额的基金份额参考净值达到0.250元。", :固定收益份额年化收益率=>"一年期定期存款利率(税后)+3%", :亏损临界点=>"无", :保收益临界点=>"无", :超额收益临界点=>"无"}]
```

或无需引用Gem直接发起Post请求:

```bash
curl --location --request POST '123.57.155.17:3114/wireway/restful/request_api' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'platform=satcom' \
--data-urlencode 'api_code=finance_fund_base_info' \
--data-urlencode 'code=161725'
```